package io.tswf.minecraft.blockventure.core.transmutation

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.transmutation.annotation.AtExit
import io.tswf.groovy.bettergroovy.asm.transmutation.annotation.ClassReference
import io.tswf.groovy.bettergroovy.asm.transmutation.annotation.MethodDescription
import io.tswf.groovy.bettergroovy.asm.transmutation.annotation.Transmute
import net.minecraft.block.Blocks

@CompileStatic
class TransmutationBlocks {

    @Transmute(
            targetClass = @ClassReference(Blocks),
            targetMethod = @MethodDescription(name = "<clinit>", descriptor = "()V")
    )
    @AtExit
    static void handleBlocksLoading() {

    }

}
